<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3002
Name: Grund der Überweisung Section
Description: Dieser Abschnitt enthält die konkrete (medizinische) Fragestellung bzw. Grund für eine Überweisung, die sich aufgrund einer medizinischen Untersuchung ergibt, formuliert als Freitext und in einer eigenen Komponente abgelegt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3002-2017-02-01T000000">
   <title>Grund der Überweisung Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]
Item: (ReasonForReferral)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]"
         id="d127e3115-false-d86367e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3002'])&gt;=1">(ReasonForReferral): Element hl7:templateId[@root='1.2.276.0.76.10.3002'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.3002'])&lt;=1">(ReasonForReferral): Element hl7:templateId[@root='1.2.276.0.76.10.3002'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(ReasonForReferral): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(ReasonForReferral): Element hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(ReasonForReferral): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(ReasonForReferral): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(ReasonForReferral): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(ReasonForReferral): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:templateId[@root='1.2.276.0.76.10.3002']
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:templateId[@root='1.2.276.0.76.10.3002']"
         id="d127e3119-false-d86559e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="string(@root)=('1.2.276.0.76.10.3002')">(ReasonForReferral): Der Wert von @root MUSS '1.2.276.0.76.10.3002' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:code[(@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e3126-false-d86577e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ReasonForReferral): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:title[not(@nullFlavor)]
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:title[not(@nullFlavor)]"
         id="d127e3139-false-d86597e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="text()='Grund der Überweisung'">(ReasonForReferral): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Grund der Überweisung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:text[not(@nullFlavor)]
Item: (ReasonForReferral)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:text[not(@nullFlavor)]"
         id="d127e3147-false-d86612e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.3002-2017-02-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferral): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3002
Context: *[hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]]/hl7:section[hl7:templateId[@root='1.2.276.0.76.10.3002']]/hl7:entry[hl7:act[hl7:templateId[@root='1.2.276.0.76.10.4086']]]
Item: (ReasonForReferral)
--></pattern>
