<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4076
Name: Priorität Präferenz
Description: Dieses Template gibt bevorzugte Prioritäten wider, die von einem Patienten oder einem Gesundheitsdienstleister gewählt wurden. NBevorzugte Prioritäten sind Entscheidungen von Gesundheitsdienstleister oder Patienten oder beiden zu Optionen für die Pflege oder Behandlung (einschließlich Terminplanung, Pflegeerfahrung und Treffen von persönlichen Gesundheitszielen), die gemeinsame Nutzung und Offenlegung von Gesundheitsinformationen und die Priorisierung von Problemen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4076-2015-12-06T000000">
   <title>Priorität Präferenz</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]
Item: (PriorityPreference)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]
Item: (PriorityPreference)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]"
         id="d127e5943-false-d95476e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="string(@classCode)=('OBS')">(PriorityPreference): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PriorityPreference): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="string(@moodCode)=('EVN')">(PriorityPreference): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PriorityPreference): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4076'])&gt;=1">(PriorityPreference): Element hl7:templateId[@root='1.2.276.0.76.10.4076'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4076'])&lt;=1">(PriorityPreference): Element hl7:templateId[@root='1.2.276.0.76.10.4076'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:id)&gt;=1">(PriorityPreference): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(PriorityPreference): Element hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(PriorityPreference): Element hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(PriorityPreference): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(PriorityPreference): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(PriorityPreference): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:templateId[@root='1.2.276.0.76.10.4076']
Item: (PriorityPreference)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:templateId[@root='1.2.276.0.76.10.4076']"
         id="d127e5949-false-d95564e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4076')">(PriorityPreference): Der Wert von @root MUSS '1.2.276.0.76.10.4076' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PriorityPreference): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:id
Item: (PriorityPreference)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (PriorityPreference)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:code[(@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e5956-false-d95592e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="@nullFlavor or (@code='225773000' and @codeSystem='2.16.840.1.113883.6.96')">(PriorityPreference): Der Elementinhalt MUSS einer von 'code '225773000' codeSystem '2.16.840.1.113883.6.96'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:effectiveTime
Item: (PriorityPreference)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (PriorityPreference)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d127e5964-false-d95622e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PriorityPreference): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.60-2014-06-11T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PriorityPreference): Der Elementinhalt MUSS einer von '2.16.840.1.113883.11.20.9.60 Priority Level (2014-06-11T00:00:00)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4076
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author
Item: (PriorityPreference)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author"
         id="d127e5969-false-d95646e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(PriorityPreference): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(PriorityPreference): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:functionCode)&lt;=1">(PriorityPreference): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:time)&gt;=1">(PriorityPreference): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:time)&lt;=1">(PriorityPreference): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(PriorityPreference): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4076-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(PriorityPreference): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:functionCode"
         id="d95657e33-false-d95703e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:time"
         id="d95657e38-false-d95728e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor"
         id="d95657e40-false-d95745e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d95657e44-false-d95811e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d95657e46-false-d95825e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d95657e51-false-d95845e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d95657e53-false-d95859e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d95657e56-false-d95875e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d95886e22-false-d95913e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d95657e61-false-d95929e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d95940e24-false-d95985e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d95940e29-false-d95999e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d95940e33-false-d96013e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d95940e37-false-d96027e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
</pattern>
