<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4080
Name: Diagnose Observation
Description: Dieses Template spiegelt eine konkrete Beobachtung über das Problem bzw. die Diagnose eines Patienten wider. Weil es sich um eine abgeschlossene Beobachtung handelt, ist der statusCode immer "completed". 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4080-2015-12-06T000000">
   <title>Diagnose Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]
Item: (DiagnoseObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]"
         id="d127e6485-false-d97815e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@classCode)=('OBS')">(DiagnoseObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(DiagnoseObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@moodCode)=('EVN')">(DiagnoseObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(DiagnoseObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(DiagnoseObservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein</assert>
      <let name="sgbv295q"
           value="hl7:value/hl7:qualifier[hl7:name/@codeSystem='2.16.840.1.113883.3.7.1.0']/hl7:value/@code"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not($sgbv295q='G') or hl7:participant[@typeCode='AUTHEN']">(DiagnoseObservation): Wenn Zusatzkennzeichen 'G' nach §295 SGB V angegeben wird, muss ein participant mit @typeCode='AUTHEN' vorhanden sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not($sgbv295q='A') or @negationInd='true'">(DiagnoseObservation): Wenn Zusatzkennzeichen 'A' nach §295 SGB V angegeben wird, muss bei der Observation @negationInd='true' angegeben sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not($sgbv295q='Z') or hl7:effectiveTime/hl7:high">(DiagnoseObservation): Wenn Zusatzkennzeichen 'Z' nach §295 SGB V angegeben wird, muss bei der Observation effectiveTime.high angegeben sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4080'])&gt;=1">(DiagnoseObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4080'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4080'])&lt;=1">(DiagnoseObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4080'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:id)&gt;=1">(DiagnoseObservation): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(DiagnoseObservation): Element hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(DiagnoseObservation): Element hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:text)&lt;=1">(DiagnoseObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(DiagnoseObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(DiagnoseObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(DiagnoseObservation): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(DiagnoseObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:value)&gt;=1">(DiagnoseObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:value)&lt;=1">(DiagnoseObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]])&lt;=1">(DiagnoseObservation): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4078']]])&lt;=1">(DiagnoseObservation): Element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4078']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:templateId[@root='1.2.276.0.76.10.4080']
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:templateId[@root='1.2.276.0.76.10.4080']"
         id="d127e6497-false-d98115e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4080')">(DiagnoseObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4080' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(DiagnoseObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:id
Item: (DiagnoseObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:code[(@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e6505-false-d98143e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="@nullFlavor or (@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')">(DiagnoseObservation): Der Elementinhalt MUSS einer von 'code '75324-4' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:text
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:text"
         id="d127e6510-false-d98160e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:reference)&gt;=1">(DiagnoseObservation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:reference)&lt;=1">(DiagnoseObservation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:text/hl7:reference
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:text/hl7:reference"
         id="d127e6515-false-d98186e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="@value">(DiagnoseObservation): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e6525-false-d98204e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="@nullFlavor or (@code='completed')">(DiagnoseObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:effectiveTime
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:effectiveTime"
         id="d127e6530-false-d98221e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:low)&gt;=1">(DiagnoseObservation): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:low)&lt;=1">(DiagnoseObservation): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:high)&lt;=1">(DiagnoseObservation): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:effectiveTime/hl7:low
Item: (DiagnoseObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:effectiveTime/hl7:high
Item: (DiagnoseObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value"
         id="d127e6559-false-d98279e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='20228-3'])&lt;=1">(DiagnoseObservation): Element hl7:qualifier[hl7:name/@code='20228-3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='8'])&lt;=1">(DiagnoseObservation): Element hl7:qualifier[hl7:name/@code='8'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier"
         id="d127e6572-false-d98330e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DiagnoseObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']"
         id="d98331e18-false-d98342e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Laterality): Element hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Laterality): Element hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(Laterality): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(Laterality): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d98331e33-false-d98382e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')">(Laterality): Der Elementinhalt MUSS einer von 'code '20228-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d98331e38-false-d98404e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laterality): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.412 Lateralität (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Laterality): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.412 Lateralität (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']"
         id="d98405e29-false-d98430e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)])&gt;=1">(Certainty): Element hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)])&lt;=1">(Certainty): Element hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&gt;=1">(Certainty): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)])&lt;=1">(Certainty): Element hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')][not(@nullFlavor)]"
         id="d98405e44-false-d98470e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or (@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')">(Certainty): Der Elementinhalt MUSS einer von 'code '8' codeSystem '2.16.840.1.113883.3.7.1.0'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem)][not(@nullFlavor)]"
         id="d98405e49-false-d98492e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Certainty): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.121 S_ICD_DIAGNOSESICHERHEIT (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:value/hl7:translation
Item: (DiagnoseObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author
Item: (DiagnoseObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author"
         id="d127e6597-false-d98530e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(DiagnoseObservation): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(DiagnoseObservation): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:functionCode)&lt;=1">(DiagnoseObservation): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:time)&gt;=1">(DiagnoseObservation): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:time)&lt;=1">(DiagnoseObservation): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(DiagnoseObservation): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(DiagnoseObservation): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:functionCode
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:functionCode"
         id="d98541e33-false-d98587e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AuthorBody): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:time
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:time"
         id="d98541e38-false-d98612e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="not(*)">(AuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor"
         id="d98541e40-false-d98629e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:id)&gt;=1">(AuthorBody): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorBody): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorBody): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorBody): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d98541e44-false-d98695e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d98541e46-false-d98709e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(AuthorBody): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d98541e51-false-d98729e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d98541e53-false-d98743e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorBody): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d98541e56-false-d98759e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]"
         id="d98770e22-false-d98797e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90025
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorBody)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d98541e61-false-d98813e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(AuthorBody): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(AuthorBody): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&gt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:name[not(@nullFlavor)])&lt;=1">(AuthorBody): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90025-2014-12-21T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorBody): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d98824e24-false-d98869e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name[not(@nullFlavor)]"
         id="d98824e29-false-d98883e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d98824e33-false-d98897e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90011
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d98824e37-false-d98911e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.90011-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]
Item: (DiagnoseObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4077']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('SUBJ')">(DiagnoseObservation): Der Wert von @typeCode MUSS 'SUBJ' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseObservation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@inversionInd)=('true')">(DiagnoseObservation): Der Wert von @inversionInd MUSS 'true' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@inversionInd) or string(@inversionInd)=('true','false')">(DiagnoseObservation): Attribute @inversionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4078']]]
Item: (DiagnoseObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4078']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('REFR')">(DiagnoseObservation): Der Wert von @typeCode MUSS 'REFR' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseObservation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]
Item: (DiagnoseObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4076']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('REFR')">(DiagnoseObservation): Der Wert von @typeCode MUSS 'REFR' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseObservation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]
Item: (DiagnoseObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4093']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('MFST')">(DiagnoseObservation): Der Wert von @typeCode MUSS 'MFST' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseObservation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4080
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]
Item: (DiagnoseObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4080']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="string(@typeCode)=('CAUS')">(DiagnoseObservation): Der Wert von @typeCode MUSS 'CAUS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4080-2015-12-06T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(DiagnoseObservation): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
   </rule>
</pattern>
