<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4094
Name: Etiology Observation
Description: Dieses Template gibt den Ätiologie-Beobachtung als Sekundärcode eines Problems/Diagnose wieder.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4094-2017-04-09T000000">
   <title>Etiology Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]
Item: (EtiologyObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]
Item: (EtiologyObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]"
         id="d127e6926-false-d101898e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="string(@classCode)=('OBS')">(EtiologyObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(EtiologyObservation): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="string(@moodCode)=('EVN')">(EtiologyObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(EtiologyObservation): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4094'])&gt;=1">(EtiologyObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4094'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:templateId[@root='1.2.276.0.76.10.4094'])&lt;=1">(EtiologyObservation): Element hl7:templateId[@root='1.2.276.0.76.10.4094'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(EtiologyObservation): Element hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(EtiologyObservation): Element hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(EtiologyObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(EtiologyObservation): Element hl7:statusCode[@code='completed'][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&gt;=1">(EtiologyObservation): Element hl7:value[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="count(hl7:value[not(@nullFlavor)])&lt;=1">(EtiologyObservation): Element hl7:value[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:templateId[@root='1.2.276.0.76.10.4094']
Item: (EtiologyObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:templateId[@root='1.2.276.0.76.10.4094']"
         id="d127e6932-false-d101970e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EtiologyObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="string(@root)=('1.2.276.0.76.10.4094')">(EtiologyObservation): Der Wert von @root MUSS '1.2.276.0.76.10.4094' sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(EtiologyObservation): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (EtiologyObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:code[(@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e6937-false-d101991e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EtiologyObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1')">(EtiologyObservation): Der Elementinhalt MUSS einer von 'code '75328-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (EtiologyObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e6942-false-d102011e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EtiologyObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="@nullFlavor or (@code='completed')">(EtiologyObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4094
Context: *[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:value[not(@nullFlavor)]
Item: (EtiologyObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]]/hl7:observation[hl7:templateId[@root='1.2.276.0.76.10.4094']]/hl7:value[not(@nullFlavor)]"
         id="d127e6948-false-d102031e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/abde-html-20170707T223454/tmp-1.2.276.0.76.10.4094-2017-04-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EtiologyObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
</pattern>
